Get All View Version

Retrieves all versions of a view file. This accepts the follow query params:

paramdescription
limit[int] The number of results to return. Allowed values are numbers between 1 to 1000. Default is 100.
page[int] The offset of where the result should start and used in implementing pagination. Usually used in combination with the limit parameter.
order[string] What to order results by. Allowed values are created, modified and version. Default is version.
dir[string] Required if order key is provided. Determines the sorting direction in either ascending or descending. Allowed values are asc and desc. Default is desc.
start_date[string] Aceptable date formats are yyyy/mm/dd (2022/01/31) and mm/dd/yyyy (01/31/2022). You can also use dashes (01-25-2022) as a separator. More info here: https://github.com/araddon/dateparse - Note: The filtering will be based on the item's updateAt value.
end_date[string] Aceptable date formats are yyyy/mm/dd (2022/01/31) and mm/dd/yyyy (01/31/2022). You can also use dashes (01-25-2022) as a separator. More info here: https://github.com/araddon/dateparse - Note: The filtering will be based on the item's updateAt value.

Note: The result has an upper bound limit of 1,000 versions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ZUID of the view file to get the versions from

Query Params
integer

The number of results to return. Allowed values are numbers between 1 to 1000. Default is 100

integer

The offset of where the result should start. Usually used in combination with the limit parameter.

string

What to order results by. Allowed values are created, modified and version. Default value is version.

string

Required if order key is provided. Determines the sorting direction in either ascending or descending. Allowed values are asc and desc. Default is desc.

string

Aceptable date formats are yyyy/mm/dd (2022/01/31) and mm/dd/yyyy (01/31/2022). You can also use dashes (01-25-2022) as a separator. More info here: https://github.com/araddon/dateparse - Note: The filtering will be based on the item's updateAt value.

string

Aceptable date formats are yyyy/mm/dd (2022/01/31) and mm/dd/yyyy (01/31/2022). You can also use dashes (01-25-2022) as a separator. More info here: https://github.com/araddon/dateparse - Note: The filtering will be based on the item's updateAt value.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Choose an example:
application/json